%taylor.m

clear
clc
close all


y=[];
for ll=1:100    
   yy=(ll-1)/100
   v=1-yy^2;
   nn=floor(v*10000);
   y=[y yy*ones(1,nn)];
end
N=length(y);
x=zeros(1,N);

Nsteps=1e6;

dt=0.01;
D=0.1;

t=0;

for jj=1:Nsteps
    
    
    
    xnew=x;
    ynew=y;
    
    pear=find(x<20.01);

    if isempty(pear)
        break
    end

    
    xnew(pear)=x(pear)+1.5*(1-y(pear).^2)*dt+sqrt(2*D*dt)*randn(size(x(pear)));
    ynew(pear)=y(pear)+sqrt(2*D*dt)*randn(size(y(pear)));
    
    %reflect
    apple=find(ynew>1);
    ynew(apple)=2-ynew(apple);
    apple=find(ynew<0);
    ynew(apple)=-ynew(apple);
    
    
    if mod(jj,100)==0
        jj
        plot(x,y,'.')
        pause(0.0001)
    end
    
    orange=find(xnew>10 & x<10);
    timer(orange)=jj*dt;

    orange=find(xnew>20 & x<20);
    timer2(orange)=jj*dt;

    
    x=xnew;
    y=ynew;
    
    
end