%transition_matrix.m

clear
clc
close all

load ptau2

tau=timer;
tau2=timer2-timer;

[Ny1,Nx1]=hist(tau,50);
[Ny2,Nx2]=hist(tau2,Nx1);

figure(1)
plot(Nx1,Ny1,'.')
hold on
plot(Nx2,Ny2,'r')

N=length(timer);

bins=25;


v1=sort(tau);
v2=sort(tau2);

for kk=1:bins
    
    jimmer=floor(N*kk/(bins));
    cutoff(kk)=v1(jimmer);
    cutoff2(kk)=v2(jimmer);
    
end

for kk=1:N
   
    apple=min(find(cutoff>=tau(kk)));
    bin1(kk)=apple;
    
    apple=min(find(cutoff>=tau2(kk)));
    bin2(kk)=apple;
    
end


for kk=1:bins
    for ll=1:bins
   
        apple=find(bin1==kk & bin2==ll);
        T(kk,ll)=length(apple);
        
    end
end

%normalize

for kk=1:bins
   
    norm=sum(T(kk,:));
    
    T(kk,:)=T(kk,:)/norm;
    
end


for kk=1:bins
    
    for ll=1:bins
    
        cumT(kk,ll)=sum(T(kk,1:ll));
    
    end
    
end

